<app-loading *ngIf="isLoading"></app-loading>
<div class="app-card">
  <form nz-form [formGroup]="form">
    <div class="app-row" nz-row [nzGutter]="[30, 0]">
      <div nz-col nzXs="24" nzLg="24">
        <mb-input-text formControlName="cfgKey" [mbMaxLength]="100" uppercase (mbBlur)="codeBlur()" [mbDisable]='isUpdate'
          [mbType]="isSubmitted && form.controls['cfgKey'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['cfgKey'].errors !== null" [mbErrors]="form.controls['cfgKey'].errors"
          [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'system.validate.maxLength' | translate: {'numberLength': '100' }},
           { errorName: 'code', errorDescription: 'system.validate.code' | translate },
           { errorName: 'required', errorDescription: 'system.validate.required' | translate: {'param': 'system.config.label.attributes.cfgKey' | translate }}]"
          mbPlaceholderText="--{{'system.config.label.attributes.cfgKey' | translate}}--"
          mbLabelText="{{'system.config.label.attributes.cfgKey' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>
      <div nz-col nzXs="22" nzLg="23">
        <mb-input-text formControlName="cfgValue" [mbIsTextAreInputSpecial]='true' [mbConfig]="{ rows: 2, autoSize: true }"
          [mbType]="isSubmitted && form.controls['cfgValue'].errors ? 'error' : 'default'" [mbMaxLength]="500"
          [mbShowError]="isSubmitted && form.controls['cfgValue'].errors !== null" [mbErrors]="form.controls['cfgValue'].errors"
          [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'system.validate.maxLength' | translate: {'numberLength': '500' }},
            { errorName: 'required', errorDescription: 'system.validate.required' | translate: {'param': 'system.config.label.attributes.cfgValue' | translate }}]"
          mbPlaceholderText="--{{'system.config.label.attributes.cfgValue' | translate}}--"
          mbLabelText="{{'system.config.label.attributes.cfgValue' | translate}} <span class='label__required'>*</span>"></mb-input-text>
      </div>
      <div nz-col nzXs="2" nzLg="1" class='icon-format'>
        <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="ZORRO" mbPrefixIcon="node-expand"
                   (click)="format()" nzTooltipTitle="{{'common.button.formatJson' | translate}}" nzTooltipPlacement="bottomLeft" nz-tooltip></mb-button>
      </div>
      <div nz-col nzXs="24" nzLg="24">
        <mb-input-text formControlName="description" [mbIsTextAre]='true' [mbConfig]="{ rows: 3, autoSize: true }" [mbMaxLength]="500"
          [mbType]="isSubmitted && form.controls['description'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['description'].errors !== null" [mbErrors]="form.controls['description'].errors"
          [mbErrorDefs]="[{ errorName: 'maxlength', errorDescription: 'system.validate.maxLength' | translate: {'numberLength': '500' }}]"
          mbPlaceholderText="--{{'system.config.label.attributes.description' | translate}}--"
          mbLabelText="{{'system.config.label.attributes.description' | translate}}"></mb-input-text>
      </div>
    </div>
  </form>
  <div class="footer">
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
  </div>
</div>
